Ошибки зависимостей

Не знаете как установить драйвер? Возникли проблемы? Вам сюда!
Правила форума
Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа.

Автор темы
yyyuuu
Сообщения: 44
Зарегистрирован: 27 июн 2017, 13:47
Благодарил (а): 13 раз

Ошибки зависимостей

Сообщение yyyuuu » 29 июн 2017, 06:31

Ставил драйвера для видео карты. Вылезла ошибка. Есть знатоки кто знает как решить проблему?
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Последний раз редактировалось пользователем 2 yyyuuu; всего редактировалось раз: 29


Автор темы
yyyuuu
Сообщения: 44
Зарегистрирован: 27 июн 2017, 13:47
Благодарил (а): 13 раз

Ошибки зависимостей

Сообщение yyyuuu » 29 июн 2017, 06:37

Код: Выделить всё

(Чтение базы данных … на данный момент установлено 350650 файлов и каталогов.)
Подготовка к распаковке …/libgl1-mesa-glx_1%3a17.1.3-0~x~padoka0_amd64.deb …
Распаковывается libgl1-mesa-glx:amd64 (1:17.1.3-0~x~padoka0) на замену (17.1.2-1ubuntu1~16.04~1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libgl1-mesa-glx_1%3a17.1.3-0~x~padoka0_amd64.deb (--unpack):
 попытка перезаписать «/usr/lib/x86_64-linux-gnu/libvulkan_intel.so», который уже имеется в пакете mesa-vulkan-drivers:amd64 17.1.2-1ubuntu1~16.04~1
dpkg-deb: ошибка: подпроцесс вставка уничтожен по сигналу (Обрыв канала)
Обрабатываются триггеры для libc-bin (2.23-0ubuntu9) …
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libgl1-mesa-glx_1%3a17.1.3-0~x~padoka0_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ошибка при установке пакета. Попытка восстановления:
sudo apt-get -f install

Код: Выделить всё

Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libwayland-client0:i386
Для его удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
  libgl1-mesa-glx
Пакеты, которые будут обновлены:
  libgl1-mesa-glx
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 7 пакетов не обновлено.
Необходимо скачать 0 B/1 254 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 4 429 kB.
Хотите продолжить? [Д/н] д
(Чтение базы данных … на данный момент установлено 350650 файлов и каталогов.)
Подготовка к распаковке …/libgl1-mesa-glx_1%3a17.1.3-0~x~padoka0_amd64.deb …
Распаковывается libgl1-mesa-glx:amd64 (1:17.1.3-0~x~padoka0) на замену (17.1.2-1ubuntu1~16.04~1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libgl1-mesa-glx_1%3a17.1.3-0~x~padoka0_amd64.deb (--unpack):
 попытка перезаписать «/usr/lib/x86_64-linux-gnu/libvulkan_intel.so», который уже имеется в пакете mesa-vulkan-drivers:amd64 17.1.2-1ubuntu1~16.04~1
dpkg-deb: ошибка: подпроцесс вставка уничтожен по сигналу (Обрыв канала)
Обрабатываются триггеры для libc-bin (2.23-0ubuntu9) …
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libgl1-mesa-glx_1%3a17.1.3-0~x~padoka0_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Последний раз редактировалось пользователем 1 yyyuuu; всего редактировалось раз: 29

В сети
Аватара пользователя

Chocobo
Сообщения: 5544
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1437 раз

Ошибки зависимостей

Сообщение Chocobo » 29 июн 2017, 06:47

yyyuuu писал(а): попытка перезаписать «/usr/lib/x86_64-linux-gnu/libvulkan_intel.so», который уже имеется в пакете mesa-vulkan-drivers:amd64 17.1.2-1ubuntu1~16.04~1
между собой видать кофликтуют пакеты libgl1-mesa-glx и mesa-vulkan-drivers, одну и туже либу курочат.

Попробуй удалить один из них, кто важней - ориентируйся по зависимостям, что захотят с собой утащить.


Автор темы
yyyuuu
Сообщения: 44
Зарегистрирован: 27 июн 2017, 13:47
Благодарил (а): 13 раз

Ошибки зависимостей

Сообщение yyyuuu » 29 июн 2017, 06:53

Так а подскажите пожалуйста и эти пакеты удалять?


Автор темы
yyyuuu
Сообщения: 44
Зарегистрирован: 27 июн 2017, 13:47
Благодарил (а): 13 раз

Ошибки зависимостей

Сообщение yyyuuu » 29 июн 2017, 06:57

Так же появилась новая ошибка

Код: Выделить всё

Steam needs to install these additional packages: 
	libgl1-mesa-glx:i386
[sudo] пароль для nikita: 
.......................
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
Пакеты, имеющие неудовлетворённые зависимости:
 libgl1-mesa-glx : Зависит: libglapi-mesa (= 17.1.2-1ubuntu1~16.04~1) но 1:17.1.3-0~x~padoka0 будет установлен
                   Ломает: libgl1-mesa-glx:i386 (!= 17.1.2-1ubuntu1~16.04~1) но 1:17.1.3-0~x~padoka0 будет установлен
 libgl1-mesa-glx:i386 : Ломает: libgl1-mesa-glx (!= 1:17.1.3-0~x~padoka0) но 17.1.2-1ubuntu1~16.04~1 будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).
Press return to continue: 


Автор темы
yyyuuu
Сообщения: 44
Зарегистрирован: 27 июн 2017, 13:47
Благодарил (а): 13 раз

Ошибки зависимостей

Сообщение yyyuuu » 29 июн 2017, 07:02

Когда ставлю пакет на удаление выдает это. На сколько это серьезно и что произойдет если удалю?
У вас нет необходимых прав для просмотра вложений в этом сообщении.

В сети
Аватара пользователя

Chocobo
Сообщения: 5544
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1437 раз

Ошибки зависимостей

Сообщение Chocobo » 29 июн 2017, 07:07

А покажи лучше inxi -r

У тебя похоже подключены одновременно репы padoka и x-swat судя по версиям


Автор темы
yyyuuu
Сообщения: 44
Зарегистрирован: 27 июн 2017, 13:47
Благодарил (а): 13 раз

Ошибки зависимостей

Сообщение yyyuuu » 29 июн 2017, 07:09

inxi -r

Код: Выделить всё

inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list.d/amdgpu-pro.list
           deb [ trusted=yes ] file:/var/opt/amdgpu-pro-local/ ./
           Active apt sources in file: /etc/apt/sources.list.d/atareao-telegram-xenial.list
           deb http://ppa.launchpad.net/atareao/telegram/ubuntu xenial main
           deb-src http://ppa.launchpad.net/atareao/telegram/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/nilarimogard-webupd8-xenial.list
           deb http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu xenial main
           deb-src http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://packages.linuxmint.com serena main upstream import backport #id:linuxmint_main
           deb http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu xenial-updates main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ xenial partner
           Active apt sources in file: /etc/apt/sources.list.d/paulo-miguel-dias-pkppa-xenial.list
           deb http://ppa.launchpad.net/paulo-miguel-dias/pkppa/ubuntu xenial main
           deb-src http://ppa.launchpad.net/paulo-miguel-dias/pkppa/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/steam.list
           deb [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
           deb-src [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
           Active apt sources in file: /etc/apt/sources.list.d/teejee2008-ppa-xenial.list
           deb http://ppa.launchpad.net/teejee2008/ppa/ubuntu xenial main
           deb-src http://ppa.launchpad.net/teejee2008/ppa/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/ubuntu-x-swat-updates-xenial.list
           deb http://ppa.launchpad.net/ubuntu-x-swat/updates/ubuntu xenial main
           deb-src http://ppa.launchpad.net/ubuntu-x-swat/updates/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/webupd8team-java-xenial.list
           deb http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
           deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/yandex-browser-beta.list
           deb [arch=amd64] http://repo.yandex.ru/yandex-browser/deb beta main

В сети
Аватара пользователя

Chocobo
Сообщения: 5544
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1437 раз

Ошибки зависимостей

Сообщение Chocobo » 29 июн 2017, 07:18

yyyuuu писал(а): Active apt sources in file: /etc/apt/sources.list.d/ubuntu-x-swat-updates-xenial.list
deb http://ppa.launchpad.net/ubuntu-x-swat/updates/ubuntu xenial main
...
Active apt sources in file: /etc/apt/sources.list.d/paulo-miguel-dias-pkppa-xenial.list
deb http://ppa.launchpad.net/paulo-miguel-dias/pkppa/ubuntu xenial main
deb-src http://ppa.launchpad.net/paulo-miguel-dias/pkppa/ubuntu xenial main
вот они меж собой и воюют за версии пересекающихся пакетов.

Один из них надо вынести (sudo add-apt-repository --remove ppa:ubuntu-x-swat/updates или sudo add-apt-repository --remove ppa:paulo-miguel-dias/pkppa) и обновить список пакетов (apt update).
Дальше должно починиться само при обновлении или c apt install -f


Автор темы
yyyuuu
Сообщения: 44
Зарегистрирован: 27 июн 2017, 13:47
Благодарил (а): 13 раз

Ошибки зависимостей

Сообщение yyyuuu » 29 июн 2017, 07:29

воспользовался командой
sudo add-apt-repository --remove ppa:ubuntu-x-swat/updates

Код: Выделить всё

apt install -f
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
  libwayland-client0:i386
Для его удаления используйте «sudo apt autoremove».
Будут установлены следующие дополнительные пакеты:
  libgl1-mesa-glx
Пакеты, которые будут обновлены:
  libgl1-mesa-glx
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 7 пакетов не обновлено.
Необходимо скачать 0 B/1 254 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 4 429 kB.
Хотите продолжить? [Д/н] д
Выбор ранее не выбранного пакета libgl1-mesa-glx:amd64.
(Чтение базы данных … на данный момент установлено 350650 файлов и каталогов.)
Подготовка к распаковке …/libgl1-mesa-glx_1%3a17.1.3-0~x~padoka0_amd64.deb …
Распаковывается libgl1-mesa-glx:amd64 (1:17.1.3-0~x~padoka0) на замену (17.1.2-1ubuntu1~16.04~1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libgl1-mesa-glx_1%3a17.1.3-0~x~padoka0_amd64.deb (--unpack):
 попытка перезаписать «/usr/lib/x86_64-linux-gnu/libvulkan_intel.so», который уже имеется в пакете mesa-vulkan-drivers:amd64 17.1.2-1ubuntu1~16.04~1
dpkg-deb: ошибка: подпроцесс вставка уничтожен по сигналу (Обрыв канала)
Обрабатываются триггеры для libc-bin (2.23-0ubuntu9) …
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libgl1-mesa-glx_1%3a17.1.3-0~x~padoka0_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

В сети
Аватара пользователя

Chocobo
Сообщения: 5544
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1437 раз

Ошибки зависимостей

Сообщение Chocobo » 29 июн 2017, 07:36

apt remove mesa-vulkan-drivers попробуй (мы его вроде в соседней теме и пробовали ставить под доту), если на него будут подвязки - то подтащится с оставшихся реп.


Автор темы
yyyuuu
Сообщения: 44
Зарегистрирован: 27 июн 2017, 13:47
Благодарил (а): 13 раз

Ошибки зависимостей

Сообщение yyyuuu » 29 июн 2017, 07:47

Странно но выдал ошибку снова

Код: Выделить всё

apt remove mesa-vulkan-drivers
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
Пакеты, имеющие неудовлетворённые зависимости:
 libgl1-mesa-glx : Зависит: libglapi-mesa (= 17.1.2-1ubuntu1~16.04~1) но 1:17.1.3-0~x~padoka0 будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).

В сети
Аватара пользователя

Chocobo
Сообщения: 5544
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1437 раз

Ошибки зависимостей

Сообщение Chocobo » 29 июн 2017, 07:59

yyyuuu, ну чет там все перемешалось из-за того что всяких разных реп накидал однотипных)

Можно попробовать в обратную с x-swat может, раз основное подтащилось оттуда.
Или же вычищать все что относится к ним, и ставить заново уже без конфликта источников


Автор темы
yyyuuu
Сообщения: 44
Зарегистрирован: 27 июн 2017, 13:47
Благодарил (а): 13 раз

Ошибки зависимостей

Сообщение yyyuuu » 29 июн 2017, 08:10

Восстановился с резервной копии, ошибка исчезла.

Код: Выделить всё

inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list.d/atareao-telegram-xenial.list
           deb http://ppa.launchpad.net/atareao/telegram/ubuntu xenial main
           deb-src http://ppa.launchpad.net/atareao/telegram/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://packages.linuxmint.com serena main upstream import backport #id:linuxmint_main
           deb http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu xenial-updates main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ xenial partner
           Active apt sources in file: /etc/apt/sources.list.d/steam.list
           deb [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
           deb-src [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
           Active apt sources in file: /etc/apt/sources.list.d/teejee2008-ppa-xenial.list
           deb http://ppa.launchpad.net/teejee2008/ppa/ubuntu xenial main
           deb-src http://ppa.launchpad.net/teejee2008/ppa/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/ubuntu-x-swat-updates-xenial.list
           deb http://ppa.launchpad.net/ubuntu-x-swat/updates/ubuntu xenial main
           deb-src http://ppa.launchpad.net/ubuntu-x-swat/updates/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/webupd8team-java-xenial.list
           deb http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
           deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/yandex-browser-beta.list
           deb [arch=amd64] http://repo.yandex.ru/yandex-browser/deb beta main
nikita@Linux ~ $ 
теперь вопрос, как ставить AMDGPU и ставить ли вообще? Какие репы подключать чтобы не нарушить зависимости

В сети
Аватара пользователя

Chocobo
Сообщения: 5544
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1437 раз

Ошибки зависимостей

Сообщение Chocobo » 29 июн 2017, 08:29

amdgpu - у тебя и сейчас)
Ставить ил нет Pro - решай сам) тем более исходя из сообщения в соседней теме, что фпс был годным и без проприетари.

У меня нет карты под amdgpu-pro, поэтому глубоко копать вопросы её производительности не довелось


Автор темы
yyyuuu
Сообщения: 44
Зарегистрирован: 27 июн 2017, 13:47
Благодарил (а): 13 раз

Ошибки зависимостей

Сообщение yyyuuu » 29 июн 2017, 08:55

Спасибо большое за ответы.
Заметил такое, на Виндовс фпс ниже 80 не падало никогда, был от 80-140. Теперь может и от 30-100 колеблется.
Интуитивно догадываюсь что проблемы могут быть в драйверах. Хочется понять решаема эта проблема или нет

Вернуться в «Видеокарты»